%global pypi_name pyjf3

Name:           python3-%{pypi_name}
Version:        0.3
Release:        2%{?dist}
Summary:        Python module for Japanese text manipulation

License:        MIT
URL:            https://pypi.python.org/pypi/pyjf3
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         pyjf3.license.patch

BuildArch:      noarch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

%description
%{summary}.

%prep
%setup -q -n %{pypi_name}-%{version}
#Remove egg.info
rm -rf %{pypi_name}.egg.info
%patch1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files
%license LICENSE
%doc README.rst  
%{python3_sitelib}/__pycache__/pyjf3.*
%{python3_sitelib}/pyjf3*

%changelog
* Thu Oct 01 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.3-2
- Update Python Macros
- Patch license file

* Mon Aug 03 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.3-1
- Initial Packaging
